<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();

include('modules/admin/content/nesting/nesting.class.php');

$nesting = new nesting($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch ($value['value'])
{
    case 'browse':
		$fields['content_id'] = (isset($_GET['id'])) ? $nesting->tools->clear_int($_GET['id']) : 0;
        
        $massiv_tree[$value['tpl']] = array(
            'content_id'  => $fields['content_id'],
            'type'        => $value['type']
        );
        
        $massiv_tree[$value['tpl']]['content'] = $nesting->show_list($fields['content_id']);
        
        break;
    case 'addfile':
        if (isset($_POST['content_id']))    $fields['content_id']    = $nesting->tools->clear_int($_POST['content_id']);
        if (isset($_POST['nesting_name']))  $fields['nesting_name']  = $nesting->tools->clear_string($_POST['nesting_name']);
        if (isset($_FILES['nesting_file'])) $fields['nesting_file']  = $_FILES['nesting_file'];
        
        if (count($fields) == 3)
            $nesting->add_file($fields);
        
        $massiv_tree[$value['tpl']] = $fields;
        //die();
        break;
    case 'deletefile':
        if (isset($_GET['del']))    $file_id    = $nesting->tools->clear_int($_GET['del']);
        
        if (isset($file_id))
            $nesting->delete_file($file_id);
            
        die();
        break;
    case 'editfile':
        if (isset($_GET['file_id']))        $file_id                 = $nesting->tools->clear_int($_GET['file_id']);
        
        if (isset($_POST['nesting_name']))  $fields['nesting_name']  = $nesting->tools->clear_string($_POST['nesting_name']);
        if (isset($_POST['file_id']))       $fields['file_id']       = $nesting->tools->clear_int($_POST['file_id']);
        
        if (count($fields) == 2)
            $nesting->edit_file($fields);
        
        if (isset($file_id))
            $massiv_tree[$value['tpl']] = $nesting->show_edit_file($file_id);
        
        break;
    case 'editgallery':
        if (isset($_GET['gallery_id']))        $gallery_id                 = $nesting->tools->clear_int($_GET['gallery_id']);
        
        if (isset($_POST['gallery_name']))     $fields['gallery_name']     = $nesting->tools->clear_string($_POST['gallery_name']);
        if (isset($_POST['gallery_id']))       $fields['gallery_id']       = $nesting->tools->clear_int($_POST['gallery_id']);
        
        if (count($fields) == 2)
            $nesting->edit_gallery($fields);
        
        if (isset($gallery_id))
            $massiv_tree[$value['tpl']] = $nesting->show_edit_gallery($gallery_id);
        
        break;
    case 'addgallery':
        if (isset($_POST['gallery_name']))  $fields['gallery_name']  = $nesting->tools->clear_string($_POST['gallery_name']);
        if (isset($_POST['content_id']))    $fields['content_id']    = $nesting->tools->clear_int($_POST['content_id']);
        
        if (count($fields) == 2)
            $nesting->add_gallery($fields);
        
        break;
    case 'deletegallery':
        if (isset($_GET['del']))    $gallery_id    = $nesting->tools->clear_int($_GET['del']);
        
        if (isset($gallery_id))
            $nesting->delete_gallery($gallery_id);
            
        die();
        break;
    case 'addphoto':
        if (isset($_POST['gallery_id']))     $fields['gallery_id']     = $nesting->tools->clear_int($_POST['gallery_id']);
        if (isset($_POST['photo_name']))     $fields['photo_name']     = $nesting->tools->clear_string($_POST['photo_name']);
        if (isset($_POST['photo_desc']))     $fields['photo_desc']     = $nesting->tools->clear_string($_POST['photo_desc']);
        if (isset($_FILES['nesting_photo'])) $fields['nesting_photo']  = $_FILES['nesting_photo'];

        if (count($fields) == 4)
            $nesting->add_photo($fields);
            
        $massiv_tree[$value['tpl']] = $fields;
        break;
    case 'editphoto':
        if (isset($_GET['file_id']))        $file_id                 = $nesting->tools->clear_int($_GET['file_id']);
        
        if (isset($_POST['file_name']))     $fields['file_name']     = $nesting->tools->clear_string($_POST['file_name']);
        if (isset($_POST['file_id']))       $fields['file_id']       = $nesting->tools->clear_int($_POST['file_id']);
        if (isset($_POST['file_desc']))     $fields['file_desc']     = $nesting->tools->clear_string($_POST['file_desc']);
        
        if (count($fields) == 3)
            $nesting->edit_photo($fields);
        
        if (isset($file_id))
            $massiv_tree[$value['tpl']] = $nesting->show_edit_photo($file_id);
        
        break;
    case 'deletephoto':
        if (isset($_GET['del']))    $file_id    = $nesting->tools->clear_int($_GET['del']);
        
        if (isset($file_id))
            $nesting->delete_photo($file_id);
            
        die();
        break;
}
?>