<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();

include('modules/admin/widget/widget.class.php');

$widget = new widget($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
	case 'browse':
		$massiv_tree[$value['tpl']]['default'] = $widget->get_all_widget();
		break;
	case 'add':
		$fields = array();
		
		if (isset($_POST['widget_title']))        $fields['widget_title']       = $widget->tools->clear_string($_POST['widget_title']);
		
		if (isset($fields['widget_title']) AND empty($fields['widget_title']))
            $fields['widget_title'] = time();
		
		if (count($fields) == 1)
		{
            if (isset($additional))
            {
                $a_fields = $additional->clear_value($_POST['addition']);
                if (isset($_POST['group_id']))
                    $a_fields['group_id'] = $additional->tools->clear_int($_POST['group_id']);
                
                $fields['widget_more'] = $additional->add_value($a_fields);
            }
            
            
            $fields['widget_type'] = $value['type'];
            $widget->add_widget($fields);
        }
        
        $massiv_tree[$value['tpl']]['widget_type']   = $value['type'];	
		$massiv_tree[$value['tpl']]['default']       = $widget->show_form();

        if (isset($additional))
            $massiv_tree[$value['tpl']]['additional'] = $additional->show_form();
		break;
	case 'position':
		if (isset($_GET['widget_id']))    $widget_id		 = $widget->tools->clear_int($_GET['widget_id']);
		if (isset($_GET['step']))         $step              = $widget->tools->clear_string($_GET['step']);
		
		if (!isset($widget_id) OR !isset($step))
			die();
			
		if ($step != 'up' AND $step != 'down')
			die();
		
		$widget->change_position($widget_id, $step);
		break;
	case 'edit':
		if (isset($_GET['id']))	$widget_id = $widget->tools->clear_int($_GET['id']);
		
		if (isset($_POST['widget_id']))            $fields['widget_id']           = $widget->tools->clear_int($_POST['widget_id']);
		if (isset($_POST['widget_title']))         $fields['widget_title']        = $widget->tools->clear_string($_POST['widget_title']);
		
		if (count($fields) == 2)
		{
            if (isset($additional))
            {
                $a_fields = $additional->clear_value($_POST['addition']);
                if (isset($_POST['group_id']))
                    $a_fields['group_id'] = $additional->tools->clear_int($_POST['group_id']);
                
                $additional->edit_value($a_fields, $fields['widget_id']);
            }

            $widget->edit_widget($fields);
        }
		
		if (isset($widget_id))
			$massiv_tree[$value['tpl']]['default']    = $widget->show_form_edit($widget_id);
        
        $massiv_tree[$value['tpl']]['widget_type']    = $value['type'];
        
        if (isset($additional) AND isset($widget_id))
            $massiv_tree[$value['tpl']]['additional'] = $additional->show_form_edit($widget_id);
		
        if (!isset($widget_id))
            $widget->tools->not_found();
            
        break;
	case 'cfg':
		if (isset($_GET['id']))	$widget_id = $widget->tools->clear_int($_GET['id']);
		
		if (isset($_POST['cfg_widget_id']))     $fields['cfg_widget_id']        = $widget->tools->clear_int($_POST['cfg_widget_id']);
		if (isset($_POST['cfg_public_mode']))	$fields['cfg_public_mode']     	= $widget->tools->clear_int($_POST['cfg_public_mode']);
        
		if (count($fields) == 2)
			$widget->cfg_widget($fields);
		
		if (isset($widget_id))
			$massiv_tree[$value['tpl']]['default'] = $widget->show_form_cfg($widget_id);
		
		break;
	case 'delete':
		if (isset($_GET['del']))	$widget_id 	= $widget->tools->clear_int($_GET['del']);
		
		if (isset($widget_id))
		{
            if (isset($additional))
                $additional->delete_value($widget_id);
            
            $widget->delete_widget($widget_id);
        }
		
		$massiv_tree[$value['tpl']]['default'] = array();
		break;	
}
?>