<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

class navigation extends workDB
{
    function set_navigation($param)
    {
        $sql = "SELECT COUNT(*) FROM "
          ."rs_".$param['modul']
          .( (!empty($param['type'])) ? " WHERE ".$param['modul']."_type='".$param['type']."'" : "" );

        
        if (isset($param['where']))
             $sql .= ' AND '.$param['where'];

        if (!$count = $this->accept_count_select($sql))
            return array(
                'navigation'  => array(
                    'offset'      => 0,
                    'page'        => $param['page'],
                    'rc'          => $param['rc'],
                    'pagination'  => 0                
                )
            );

        $pagination = (($count - 1) / $param['rc']) + 1;
        $pagination = intval($pagination);
        $position   = $param['page'] * $param['rc'] - $param['rc'];

        $result = array(
            'offset'      => $position,
            'page'        => $param['page'],
            'rc'          => $param['rc'],
            'pagination'  => $pagination
        );        

        return array('navigation' => $result);
    }
}
?>