<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

define('RS-SITE', true);

//сбор технической информации о генерации страницы
$GLOBALS['rssite']['sys']['maxsql']['select'] = 0;
$GLOBALS['rssite']['sys']['maxsql']['update'] = 0;
$GLOBALS['rssite']['sys']['maxsql']['insert'] = 0;
$GLOBALS['rssite']['sys']['maxsql']['delete'] = 0;

include ("core/generation.class.php");

$generation = new generation();
$generation->set_time();

// сбор ядра
include ("core/core.class.php");
include ("core/tpl.class.php");

// сбор библиотек
include("core/lib/rs_bbcode.lib.php");

// подключение системного модуля (роутер)
include ("modules/map/index.php");

//вывод техн. информации о генерации страницы
echo "<!--SQL:"
." SELECT - ".$GLOBALS['rssite']['sys']['maxsql']['select']
/*.", UPDATE - ".$GLOBALS['rssite']['sys']['maxsql']['update']
.", INSERT - ".$GLOBALS['rssite']['sys']['maxsql']['insert']
.", DELETE - ".$GLOBALS['rssite']['sys']['maxsql']['delete']*/
."; Память: ".$generation->memory_cms()
."; Время генерации страницы ".$generation->get_time()." сек-->";
?>