<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

include('modules/admin/tree/tree.class.php');

$tree = new tree();

switch($value['value'])
{
    case 'enable':
        if(!$data = $tree->get_tree())
            $tree->tools->not_found();

        $massiv_tree[$value['tpl']] = $data;
        break;
    
    case 'browse':
        if (isset($_GET['map_id']))$map_id = $tree->tools->clear_int($_GET['map_id']);
        
        if (!isset($map_id))
            $tree->tools->not_found();
        
        if (!$massiv_tree[$value['tpl']] = $tree->get_val_modules($map_id))
            $tree->tools->not_found();
        break;
    
    case 'add':
        $fields = array();
        
        if (isset($_POST['map_id'])) $fields['map_id']          = $tree->tools->clear_int($_POST['map_id']);
        if (isset($_POST['modul_id'])) $fields['modul_id']      = $tree->tools->clear_int($_POST['modul_id']);
        if (isset($_POST['modul_val'])) $fields['modul_val']        = $tree->tools->clear_string($_POST['modul_val']);
        if (isset($_POST['modul_block'])) $fields['modul_block']    = $tree->tools->clear_int($_POST['modul_block']);
        
        if (count($fields) < 4)
            $tree->tools->not_found();
        
        $tree->add_modules($fields);
        break;
    case 'delete':
        if (isset($_GET['connect_id'])) $connect_id = $tree->tools->clear_int($_GET['connect_id']);
        
        if (!isset($connect_id))
            $tree->tools->not_found();
            
        $tree->delete_modules($connect_id);
        break;
    case 'parent':
        if (isset($_GET['connect_id'])) $connect_id      = $tree->tools->clear_int($_GET['connect_id']);
        if (isset($_GET['connect_parent'])) $connect_parent  = $tree->tools->clear_int($_GET['connect_parent']);
        
        if (!isset($connect_id) OR !isset($connect_parent))
            $tree->tools->not_found();
            
        $tree->change_parent($connect_id, $connect_parent);
        break;
    case 'edit':
        if (isset($_POST['modul_value'])) $modul['modul_value']   = $tree->tools->clear_string($_POST['modul_value']);
        if (isset($_POST['modul_id']))    $modul['modul_id']      = $tree->tools->clear_int($_POST['modul_id']);
        
        
        if (count($modul) != 2)
            $tree->tools->not_found();
        
        $tree->change_modules($modul);
        break;
    case 'position':
        if (isset($_GET['connect_id'])) $connect_id      = $tree->tools->clear_int($_GET['connect_id']);
        if (isset($_GET['step'])) $step              = $tree->tools->clear_string($_GET['step']);
        
        if (!isset($connect_id) OR !isset($step))
            $tree->tools->not_found();
            
        if ($step != 'up' AND $step != 'down')
            $tree->tools->not_found();
        
        $tree->change_position($connect_id, $step);
        
        break;
}
?>