<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

class catalog extends core
{
    function catalog($value)
    {
        $this->core();
        $this->tree    = $value['tree'];
    }

    function get_catalog()
    {
        $canonical = $GLOBALS['rssite']['cfg']['server_root'].$_GET['chpu_links'];
        $current   = $GLOBALS['rssite']['currentcatalog'];
        $catalog   = $GLOBALS['rssite']['cachecatalog'][$this->tree];

        foreach ($catalog as $key => $value)
            if ($current == $value['id'] OR $canonical == $value['link'])
                $catalog[$key]['current'] = 'true';
        
        return $this->get_tree($catalog);
    }
    
    function get_tree($catalog, $parent = 0)
    {
        $result = array();
        
        foreach ($catalog as $station)
        {
            if ($station['parent'] == $parent)
            {
                $station['sub_catalog'] = $this->get_tree($catalog, $station['id']);
                $result[] = $station;
            }
        }
        
        return $result;
    }
}
?>