-- MySQL dump 10.13  Distrib 5.5.23, for Win64 (x86)
--
-- Host: localhost    Database: rssh
-- ------------------------------------------------------
-- Server version	5.5.23

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `rs_access_group`
--

DROP TABLE IF EXISTS `rs_access_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_access_group` (
  `group_id` int(10) NOT NULL AUTO_INCREMENT,
  `group_name` varchar(255) NOT NULL,
  `group_alias` varchar(255) NOT NULL,
  PRIMARY KEY (`group_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_access_group`
--

LOCK TABLES `rs_access_group` WRITE;
/*!40000 ALTER TABLE `rs_access_group` DISABLE KEYS */;
INSERT INTO `rs_access_group` VALUES (3,'Рассылка обратной связи','feedback'),(5,'Уведомление о новых комментариях','newcomments');
/*!40000 ALTER TABLE `rs_access_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_access_user`
--

DROP TABLE IF EXISTS `rs_access_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_access_user` (
  `access_id` int(10) NOT NULL AUTO_INCREMENT,
  `group_id` int(10) NOT NULL DEFAULT '0',
  `user_id` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`access_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_access_user`
--

LOCK TABLES `rs_access_user` WRITE;
/*!40000 ALTER TABLE `rs_access_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_access_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_catalog`
--

DROP TABLE IF EXISTS `rs_catalog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_catalog` (
  `catalog_id` int(10) NOT NULL AUTO_INCREMENT,
  `catalog_title` varchar(255) NOT NULL,
  `catalog_desc` varchar(255) NOT NULL,
  `catalog_key` varchar(255) NOT NULL,
  `map_id` int(10) NOT NULL DEFAULT '0',
  `catalog_more` int(10) NOT NULL DEFAULT '0',
  `catalog_follow` int(1) NOT NULL DEFAULT '0',
  `catalog_name` varchar(255) NOT NULL,
  `catalog_parent` int(10) NOT NULL DEFAULT '0',
  `catalog_link` varchar(255) NOT NULL,
  `catalog_tree` int(10) NOT NULL DEFAULT '0',
  `catalog_position` int(10) NOT NULL DEFAULT '1',
  PRIMARY KEY (`catalog_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_catalog`
--

LOCK TABLES `rs_catalog` WRITE;
/*!40000 ALTER TABLE `rs_catalog` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_catalog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_comment`
--

DROP TABLE IF EXISTS `rs_comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_comment` (
  `comment_id` int(10) NOT NULL AUTO_INCREMENT,
  `comment_author` varchar(255) NOT NULL DEFAULT '',
  `comment_site` varchar(255) NOT NULL,
  `comment_email` varchar(255) NOT NULL,
  `comment_text` text NOT NULL,
  `comment_publication` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_parent` int(10) NOT NULL DEFAULT '0',
  `content_id` int(10) NOT NULL DEFAULT '0',
  `comment_status` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_comment`
--

LOCK TABLES `rs_comment` WRITE;
/*!40000 ALTER TABLE `rs_comment` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_comment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_connect_modules`
--

DROP TABLE IF EXISTS `rs_connect_modules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_connect_modules` (
  `connect_id` int(10) NOT NULL AUTO_INCREMENT,
  `modul_id` int(10) NOT NULL DEFAULT '0',
  `map_modules` int(10) NOT NULL DEFAULT '0',
  `connect_value` text NOT NULL,
  `connect_block` int(1) NOT NULL DEFAULT '0',
  `connect_parent` int(1) NOT NULL DEFAULT '1',
  `connect_position` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`connect_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1129 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_connect_modules`
--

LOCK TABLES `rs_connect_modules` WRITE;
/*!40000 ALTER TABLE `rs_connect_modules` DISABLE KEYS */;
INSERT INTO `rs_connect_modules` VALUES (1,2,2,'value:admin',2,1,4),(2,3,1,'value:enable\r\ntpl:tree.intro',1,0,1),(5,4,2,'value:enable\ntpl:statistic.intro\ntype:statistic',1,0,4),(6,3,3,'value:browse\ntpl:tree.modul',1,0,1),(59,2,4,'value:public',2,1,2),(8,3,5,'value:add',1,0,1),(44,3,11,'value:edit',1,0,1),(40,3,9,'value:delete',1,0,1),(41,3,10,'value:parent',1,0,1),(48,3,12,'value:position',1,0,1),(208,19,214,'value:position',1,0,1),(556,9,4,'value:0',0,1,1),(69,8,23,'comm',1,0,1),(77,9,2,'value:2\nref:/admin/',0,1,1),(82,9,1,'value:4',0,1,1),(121,10,107,'31',1,0,1),(124,13,110,'value:add\ntpl:tree.add',1,0,1),(125,13,111,'value:edit\ntpl:tree.edit',1,0,1),(131,13,122,'value:delete',1,0,1),(135,14,130,'value:browse\ntpl:modul.browse\nrc:25',1,0,1),(136,14,131,'value:add\ntpl:modul.add',1,0,1),(137,14,133,'value:edit\ntpl:modul.edit',1,0,1),(138,14,134,'value:delete',1,0,1),(139,9,130,'value:4',0,1,1),(202,20,210,'value:delete',1,0,1),(161,7,4,'value:enable',0,1,2),(203,19,177,'value:edit\ntpl:fields.field.edit',1,0,1),(170,18,163,'value:browse\ntpl:fields.group.browse\ntype:group-fields\nsuffix:additional_fields',1,1,1),(171,18,172,'value:add\ntpl:fields.group.add',1,0,1),(172,18,173,'value:edit\ntpl:fields.group.edit',1,0,1),(173,18,174,'value:delete',1,0,1),(197,19,176,'value:add\ntpl:fields.field.add',1,0,1),(198,20,207,'value:browse\ntpl:fields.field.option.browse\ntype:group-fields\nsuffix:additional_fields',1,1,2),(199,9,163,'value:4',0,1,1),(200,20,208,'value:add\ntpl:fields.field.option.add',1,0,1),(201,20,209,'value:edit\ntpl:fields.field.option.edit',1,0,1),(196,19,175,'value:browse\ntpl:fields.field.browse\ntype:group-fields\nsuffix:additional_fields',1,1,2),(204,19,178,'value:delete',1,0,1),(246,18,175,'value:disable',1,1,1),(247,19,207,'value:disable',1,1,1),(277,9,271,'value:disable',0,0,1),(278,2,271,'value:disable',2,0,1),(279,23,271,'value:enable',1,0,1),(1123,42,842,'value:disable',2,1,1),(1126,9,842,'value:1\nref:/profile/',0,1,1),(292,9,283,'value:3',0,1,1),(293,25,283,'value:browse\ntpl:profile.browse\ntype:profile\nrc:25',1,1,1),(294,25,284,'value:edit\ntpl:profile.edit',1,0,1),(295,25,285,'value:delete',1,0,1),(296,25,286,'value:add\ntpl:profile.add',1,0,1),(297,7,271,'value:disable',0,0,2),(306,28,292,'value:enable',1,0,1),(307,9,292,'value:disable',0,0,1),(308,7,292,'value:disable',0,0,2),(309,2,292,'value:disable',2,0,1),(310,29,293,'value:browse\ntype:comment\ntpl:comment.browse',1,1,1),(315,29,297,'value:delete',1,0,1),(313,9,293,'value:3',0,1,1),(314,29,296,'value:edit',1,0,1),(316,29,298,'value:status',1,0,1),(319,9,300,'value:4',0,1,1),(320,9,301,'value:3',0,1,1),(321,30,301,'value:browse\ntpl:notice.browse\ntype:notice',1,1,1),(322,30,308,'value:add\ntpl:notice.add',1,0,1),(323,30,309,'value:edit\ntpl:notice.edit',1,0,1),(324,30,310,'value:delete',1,0,1),(325,31,300,'value:browse\ntpl:groupaccess.browse\ntype:group-access\nrc:25',1,1,1),(326,31,305,'value:nbrowse\ntpl:groupaccess.nesting.browse',1,1,1),(327,31,302,'value:add\ntpl:groupaccess.add',1,0,1),(328,31,303,'value:edit\ntpl:groupaccess.edit',1,0,1),(329,31,306,'value:nadd\ntpl:groupaccess.nesting.add',1,0,1),(330,31,307,'value:ndelete',1,0,1),(331,31,304,'value:delete',1,0,1),(332,32,311,'value:enable\ntpl:meta.form\ntype:meta\nmeta:1',1,0,1),(333,33,4,'value:enable\nmeta:1',2,1,1),(334,33,2,'value:disable',2,1,3),(335,9,311,'value:3',0,0,1),(336,34,312,'value:browse\ntype:sitemap\ntpl:sitemap.browse',1,1,1),(337,9,312,'value:3',0,1,1),(338,34,313,'value:update',1,0,1),(339,34,314,'value:clear',1,0,1),(345,9,319,'value:3',0,1,1),(341,9,316,'value:3',0,1,1),(342,35,316,'value:browse\ntpl:rss.browse\ntype:rss\narray:post\nrc:7',1,1,1),(343,35,317,'value:update\nmeta:1',1,0,1),(344,35,318,'value:clear',1,0,1),(549,40,320,'value:clear',1,0,1),(647,50,2,'value:disable',1,1,1),(548,40,319,'value:browse\ntpl:cache.browse\ntype:cache',1,1,1),(567,42,2,'value:disable',2,1,1),(603,46,2,'value:disable',2,1,2),(614,48,2,'value:disable',1,1,2),(616,49,2,'value:disable',1,1,3),(1122,65,842,'value:detail\ntpl:profile.detail\ntype:detail',1,1,1),(1121,54,848,'value:intro\ntpl:reminder.intro',1,0,1),(1018,56,4,'value:tag\nlimit:20\ntpl:tag.intro',0,1,3),(1019,56,2,'value:disable',0,1,2),(1117,64,844,'value:confirm',1,0,1),(1118,64,845,'value:done\ntpl:registration.done',1,0,1),(1119,24,846,'value:login\ntpl:authorization.login',1,0,1),(1111,32,839,'value:add',1,0,1),(1110,32,837,'value:browse\ntpl:meta.browse\ntype:seo',1,1,1),(1112,32,840,'value:delete',1,0,1),(1113,9,837,'value:4',0,1,1),(1116,64,843,'value:enable\ntpl:registration.intro',1,1,1),(1120,24,847,'value:logout',1,0,1),(1125,66,842,'value:enable\ntpl:profile.menu',1,1,2),(1127,65,850,'value:change-password\ntpl:profile.password\ntype:change-password',1,0,1),(1128,65,849,'value:contacts\ntpl:profile.contacts\ntype:contacts',1,0,1);
/*!40000 ALTER TABLE `rs_connect_modules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_content`
--

DROP TABLE IF EXISTS `rs_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_content` (
  `content_id` int(10) NOT NULL AUTO_INCREMENT,
  `map_id` int(10) NOT NULL DEFAULT '0',
  `content_title` varchar(255) NOT NULL,
  `content_desc` varchar(255) NOT NULL,
  `content_key` varchar(255) NOT NULL,
  `content_announce` text NOT NULL,
  `content_text` text NOT NULL,
  `user_id` int(10) NOT NULL DEFAULT '0',
  `content_type` varchar(255) NOT NULL,
  `content_more` int(10) NOT NULL DEFAULT '0',
  `content_publication` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `catalog_id` int(10) NOT NULL DEFAULT '0',
  `content_num_comm` int(10) NOT NULL DEFAULT '0',
  `content_view` int(1) NOT NULL DEFAULT '0',
  `content_view_comm` int(1) NOT NULL DEFAULT '0',
  `content_rss` int(1) NOT NULL DEFAULT '0',
  `sitemap_content` int(10) NOT NULL DEFAULT '0',
  `content_mode_publication` int(1) NOT NULL DEFAULT '0',
  `content_look` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_content`
--

LOCK TABLES `rs_content` WRITE;
/*!40000 ALTER TABLE `rs_content` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_content` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_fields`
--

DROP TABLE IF EXISTS `rs_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_fields` (
  `field_id` int(10) NOT NULL AUTO_INCREMENT,
  `field_name` varchar(255) NOT NULL,
  `field_alias` varchar(255) NOT NULL,
  `field_type` int(1) NOT NULL DEFAULT '0',
  `field_position` int(10) NOT NULL DEFAULT '1',
  `group_id` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`field_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_fields`
--

LOCK TABLES `rs_fields` WRITE;
/*!40000 ALTER TABLE `rs_fields` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_fields_group`
--

DROP TABLE IF EXISTS `rs_fields_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_fields_group` (
  `group_id` int(10) NOT NULL AUTO_INCREMENT,
  `group_name` varchar(255) NOT NULL,
  `group_alias` varchar(255) NOT NULL,
  PRIMARY KEY (`group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_fields_group`
--

LOCK TABLES `rs_fields_group` WRITE;
/*!40000 ALTER TABLE `rs_fields_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_fields_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_files`
--

DROP TABLE IF EXISTS `rs_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_files` (
  `file_id` int(10) NOT NULL AUTO_INCREMENT,
  `file_name` varchar(255) NOT NULL,
  `file_path` varchar(255) NOT NULL,
  `file_type` int(1) NOT NULL DEFAULT '0',
  `file_code` varchar(255) NOT NULL,
  `content_id` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`file_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_files`
--

LOCK TABLES `rs_files` WRITE;
/*!40000 ALTER TABLE `rs_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_gallery`
--

DROP TABLE IF EXISTS `rs_gallery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_gallery` (
  `gallery_id` int(10) NOT NULL AUTO_INCREMENT,
  `gallery_name` varchar(255) NOT NULL,
  `gallery_code` varchar(255) NOT NULL,
  `content_id` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`gallery_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_gallery`
--

LOCK TABLES `rs_gallery` WRITE;
/*!40000 ALTER TABLE `rs_gallery` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_gallery` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_gallery_files`
--

DROP TABLE IF EXISTS `rs_gallery_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_gallery_files` (
  `file_id` int(10) NOT NULL AUTO_INCREMENT,
  `file_name` varchar(255) NOT NULL,
  `file_path` varchar(255) NOT NULL,
  `file_description` text NOT NULL,
  `gallery_id` int(10) NOT NULL DEFAULT '0',
  `file_position` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`file_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_gallery_files`
--

LOCK TABLES `rs_gallery_files` WRITE;
/*!40000 ALTER TABLE `rs_gallery_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_gallery_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_map`
--

DROP TABLE IF EXISTS `rs_map`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_map` (
  `map_id` int(10) NOT NULL AUTO_INCREMENT,
  `map_parent` int(10) NOT NULL DEFAULT '0',
  `map_name` varchar(255) NOT NULL,
  `map_alias` varchar(255) NOT NULL,
  `map_modules` int(10) NOT NULL DEFAULT '0',
  `map_type` int(1) NOT NULL DEFAULT '0',
  `map_tree_type` varchar(255) NOT NULL DEFAULT 'static',
  PRIMARY KEY (`map_id`)
) ENGINE=MyISAM AUTO_INCREMENT=851 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_map`
--

LOCK TABLES `rs_map` WRITE;
/*!40000 ALTER TABLE `rs_map` DISABLE KEYS */;
INSERT INTO `rs_map` VALUES (1,0,'Главная','',4,0,'static'),(175,163,'','fields',175,1,'static'),(6,1,'','admin',2,1,'static'),(7,6,'','tree',1,1,'static'),(8,108,'','browse',3,1,'static'),(9,108,'','add',5,1,'static'),(11,108,'','delete',9,1,'static'),(12,108,'','parent',10,1,'static'),(13,108,'','edit',11,1,'static'),(14,108,'','position',12,1,'static'),(176,175,'','add',176,1,'static'),(214,175,'','position',214,1,'static'),(178,175,'','delete',178,1,'static'),(177,175,'','edit',177,1,'static'),(207,175,'','option',207,1,'static'),(208,207,'','add',208,1,'static'),(163,6,'','group-fields',163,1,'static'),(174,163,'','delete',174,1,'static'),(173,163,'','edit',173,1,'static'),(172,163,'','add',172,1,'static'),(108,7,'','modules',108,1,'static'),(109,7,'','tree',109,1,'static'),(110,109,'','add',110,1,'static'),(111,109,'','edit',111,1,'static'),(122,109,'','delete',122,1,'static'),(209,207,'','edit',209,1,'static'),(210,207,'','delete',210,1,'static'),(130,6,'','modules',130,1,'static'),(131,130,'','add',131,1,'static'),(133,130,'','edit',133,1,'static'),(134,130,'','delete',134,1,'static'),(271,6,'','img',271,1,'static'),(284,283,'','edit',284,1,'static'),(283,6,'','profile',283,1,'static'),(285,283,'','delete',285,1,'static'),(286,283,'','add',286,1,'static'),(292,6,'','captcha',292,1,'static'),(293,6,'','comment',293,1,'static'),(297,293,'','delete',297,1,'static'),(296,293,'','edit',296,1,'static'),(298,293,'','status',298,1,'static'),(300,6,'','group-access',300,1,'static'),(301,6,'','notice',301,1,'static'),(302,300,'','add',302,1,'static'),(303,300,'','edit',303,1,'static'),(304,300,'','delete',304,1,'static'),(305,300,'','nesting',305,1,'static'),(306,305,'','add',306,1,'static'),(307,305,'','delete',307,1,'static'),(308,301,'','add',308,1,'static'),(309,301,'','edit',309,1,'static'),(310,301,'','delete',310,1,'static'),(311,6,'','meta',311,1,'static'),(312,6,'','sitemap',312,1,'static'),(313,312,'','update',313,1,'static'),(314,312,'','clear',314,1,'static'),(319,6,'','cache',319,1,'static'),(316,6,'','rss',316,1,'static'),(317,316,'','update',317,1,'static'),(318,316,'','clear',318,1,'static'),(320,319,'','clear',320,1,'static'),(848,1,'Восстановление пароля','reminder',848,1,'static'),(783,776,'Тег','tagalias',783,1,'variable'),(846,1,'Авторизация','login',846,1,'static'),(844,843,'Подтверждение почты','confirm',844,1,'static'),(845,843,'Завершение регистрации','done',845,1,'static'),(837,6,'Панель создания мета-тегов','seo',837,1,'static'),(839,837,'Добавить мета-тег','add',839,1,'static'),(840,837,'Удалить мета-тег','delete',840,1,'static'),(843,1,'Регистрация пользователя','registration',843,1,'static'),(842,1,'Личный кабинет','profile',842,1,'static'),(847,1,'Выход','logout',847,1,'static'),(849,842,'Редактировать профиль','contacts',849,1,'static'),(850,842,'Сменить пароль','change-password',850,1,'static');
/*!40000 ALTER TABLE `rs_map` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_meta`
--

DROP TABLE IF EXISTS `rs_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_meta` (
  `meta_id` int(10) NOT NULL AUTO_INCREMENT,
  `meta_title` varchar(255) NOT NULL,
  `meta_desc` text NOT NULL,
  `meta_key` text NOT NULL,
  PRIMARY KEY (`meta_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_meta`
--

LOCK TABLES `rs_meta` WRITE;
/*!40000 ALTER TABLE `rs_meta` DISABLE KEYS */;
INSERT INTO `rs_meta` VALUES (1,'Блог RS - Как создать блог с нуля?','Делюсь с Вами мыслями о создание блога с нуля. Публикую уроки php, так же просто статьи посвященные улучшению своих проектов. Я постараюсь оптимально просто и наглядно объяснить Вам работу простейший cms на php','создать блог с нуля,уроки php,разработка блога,cms блога с нуля,своя cms,cms на php');
/*!40000 ALTER TABLE `rs_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_modules`
--

DROP TABLE IF EXISTS `rs_modules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_modules` (
  `modul_id` int(10) NOT NULL AUTO_INCREMENT,
  `modul_name` varchar(255) NOT NULL,
  PRIMARY KEY (`modul_id`)
) ENGINE=MyISAM AUTO_INCREMENT=67 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_modules`
--

LOCK TABLES `rs_modules` WRITE;
/*!40000 ALTER TABLE `rs_modules` DISABLE KEYS */;
INSERT INTO `rs_modules` VALUES (1,'catalogcontent'),(2,'tpl'),(3,'admin.tree'),(18,'admin.fields.group'),(4,'admin.statistic'),(5,'toppost'),(9,'admin.access'),(7,'cachecatalog'),(42,'catalog'),(11,'admin.catalog'),(12,'admin.content.nesting'),(13,'admin.tree.tree'),(14,'admin.modules'),(17,'admin.content'),(19,'admin.fields.field'),(20,'admin.fields.field.option'),(22,'admin.fields'),(23,'admin.img'),(24,'admin.authorization'),(25,'admin.profile'),(26,'content'),(27,'comment'),(28,'captcha'),(29,'admin.comment'),(30,'admin.notice'),(31,'admin.groupaccess'),(32,'admin.meta'),(33,'meta'),(34,'admin.sitemap'),(35,'admin.rss'),(36,'admin.widget'),(37,'admin.widget.nesting'),(38,'main'),(39,'admin.install'),(40,'admin.cache'),(41,'contact'),(46,'catalogtop'),(47,'notfound'),(48,'mostcomm'),(49,'sitebar'),(50,'lastcomm'),(54,'admin.reminder'),(55,'tagcontent'),(56,'tag'),(57,'admin.tag'),(58,'search'),(59,'admin.parameter'),(60,'admin.parameter.param'),(61,'admin.parameter.param.value'),(62,'admin.parameter.catalog'),(63,'admin.parameter.content'),(64,'registration'),(65,'profile'),(66,'profile.menu');
/*!40000 ALTER TABLE `rs_modules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_notice`
--

DROP TABLE IF EXISTS `rs_notice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_notice` (
  `notice_id` int(10) NOT NULL AUTO_INCREMENT,
  `notice_name` varchar(255) NOT NULL,
  `notice_alias` varchar(255) NOT NULL,
  `notice_subject` varchar(255) NOT NULL,
  `notice_message` text NOT NULL,
  PRIMARY KEY (`notice_id`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_notice`
--

LOCK TABLES `rs_notice` WRITE;
/*!40000 ALTER TABLE `rs_notice` DISABLE KEYS */;
INSERT INTO `rs_notice` VALUES (1,'Обратная связь','feedback','Вам поступило сообщение с формы обратной связи сайта %SITE%','<p>Вам поступило сообщение с формы обратной связи сайта %SITE%</p>\r\n<p>%USER%&nbsp;<sup><a href=\"mailto:%EMAIL%\">%EMAIL%</a></sup>, %DATATIME% пишет:</p>\r\n<p><strong>ТЕМА:&nbsp;%SUBJECT%</strong></p>\r\n<p><em>%MESSAGE%</em></p>\r\n<p>&nbsp;</p>\r\n<p>Письмо сгенерировано ботом системы %CMS%, и на него не нужно отвечать.</p>'),(4,'Уведомление о комментарии для юзера','usercomments','Ответ на Ваш комментарий на сайте %SITE%','<p>На Ваш комментарий поступил ответ:</p>\r\n<p><strong>%NAME%</strong>:</p>\r\n<p><em>%MESSAGE%</em></p>\r\n<p>Для перехода к комментарию щелкните <a href=\"%LINK%\">здесь</a></p>\r\n<p>Бот системы %CMS%</p>'),(5,'Уведомление о комментарии для администрации','admincomments','На вашем сайте, %SITE%, появился новый комментарий','<p>На вашем сайте, %SITE%, появился новый комментарий:</p>\r\n<p><strong>%NAME%</strong>:</p>\r\n<p><em>%MESSAGE%</em></p>\r\n<p>Бот системы %CMS%</p>'),(6,'Запрос на восстановление пароля','remindercode','Запрос на восстановление пароля с сайта %SITE%','<p>Для Вашего аккаунта, на сайте %SITE%, был произведен запрос на восстановление пароля.</p>\r\n<p>Для получение нового пароля воспользуйтесь ссылкой ниже:</p>\r\n<p><a href=\"%LINK%\">%LINK%</a></p>\r\n<p>&nbsp;</p>\r\n<p>Письмо сгенерировано ботом системы %CMS%, и на него не нужно отвечать.</p>'),(7,'Новый пароль','reminderpassword','Новый пароль для аккаунта на сайте %SITE%','<p>Восстановление пароле произведено успешно.</p>\r\n<p>Ваш <strong>логин</strong>: %LOGIN%</p>\r\n<p>Ваш <strong>пароль</strong>: %PASSWORD%</p>\r\n<p>&nbsp;</p>\r\n<p>Письмо сгенерировано ботом системы %CMS%, и на него не нужно отвечать.</p>'),(8,'Регистрация','registrationcode','Регистрация на сайте %SITE%','<p>При регистрации, на сайте %SITE%, был указан Ваш почтовый ящик.</p>\r\n<p>Для окончания регистрации воспользуйтесь ссылкой ниже:</p>\r\n<p><a href=\"%LINK%\">%LINK%</a></p>\r\n<p>Если Вы не регистрировались на сайте %SITE%, то проигнорируйте данное письмо</p>\r\n<p>&nbsp;</p>\r\n<p>Письмо сгенерировано ботом системы %CMS%, и на него не нужно отвечать.</p>'),(9,'Завершение регистрации','registrationdone','Вы зарегистрированы на сайте %SITE%','<p>Уважаемый(ая) %LOGIN%!</p>\r\n<p>Мы рады приветствовать Вас на сайте %SITE%!</p>\r\n<p>Ваш логин: %LOGIN%</p>\r\n<p>Если у Вас возникнут дополнительные вопросы, обращайтесь в службу поддержки по электоронной почте <a href=\"mailto:support@rio-shaman.ru\">support@rio-shaman.ru</a></p>');
/*!40000 ALTER TABLE `rs_notice` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_option`
--

DROP TABLE IF EXISTS `rs_option`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_option` (
  `option_id` int(10) NOT NULL AUTO_INCREMENT,
  `option_value` varchar(255) NOT NULL,
  `field_id` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`option_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_option`
--

LOCK TABLES `rs_option` WRITE;
/*!40000 ALTER TABLE `rs_option` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_option` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_param`
--

DROP TABLE IF EXISTS `rs_param`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_param` (
  `param_id` int(11) NOT NULL AUTO_INCREMENT,
  `param_name` varchar(255) DEFAULT NULL,
  `param_type` varchar(50) NOT NULL COMMENT 'checkbox - мультивыбор\r\nradio - список',
  `group_id` int(11) NOT NULL,
  `param_position` int(11) DEFAULT NULL,
  PRIMARY KEY (`param_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_param`
--

LOCK TABLES `rs_param` WRITE;
/*!40000 ALTER TABLE `rs_param` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_param` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_param_catalog`
--

DROP TABLE IF EXISTS `rs_param_catalog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_param_catalog` (
  `catalog_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_param_catalog`
--

LOCK TABLES `rs_param_catalog` WRITE;
/*!40000 ALTER TABLE `rs_param_catalog` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_param_catalog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_param_content`
--

DROP TABLE IF EXISTS `rs_param_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_param_content` (
  `content_id` int(11) NOT NULL,
  `param_id` int(11) NOT NULL,
  `value_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_param_content`
--

LOCK TABLES `rs_param_content` WRITE;
/*!40000 ALTER TABLE `rs_param_content` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_param_content` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_param_group`
--

DROP TABLE IF EXISTS `rs_param_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_param_group` (
  `group_id` int(11) NOT NULL AUTO_INCREMENT,
  `group_name` varchar(255) DEFAULT NULL,
  `group_parent` int(11) DEFAULT NULL,
  `group_position` int(11) NOT NULL,
  PRIMARY KEY (`group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_param_group`
--

LOCK TABLES `rs_param_group` WRITE;
/*!40000 ALTER TABLE `rs_param_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_param_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_param_value`
--

DROP TABLE IF EXISTS `rs_param_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_param_value` (
  `value_id` int(11) NOT NULL AUTO_INCREMENT,
  `value_name` varchar(255) DEFAULT NULL,
  `param_id` int(11) NOT NULL,
  `value_position` int(11) DEFAULT NULL,
  PRIMARY KEY (`value_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_param_value`
--

LOCK TABLES `rs_param_value` WRITE;
/*!40000 ALTER TABLE `rs_param_value` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_param_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_sitemap`
--

DROP TABLE IF EXISTS `rs_sitemap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_sitemap` (
  `sitemap_id` int(10) NOT NULL AUTO_INCREMENT,
  `sitemap_content` int(10) NOT NULL DEFAULT '0',
  `sitemap_change` varchar(100) NOT NULL DEFAULT 'monthly',
  `sitemap_priority` varchar(10) NOT NULL DEFAULT '0.2',
  `sitemap_active` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`sitemap_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_sitemap`
--

LOCK TABLES `rs_sitemap` WRITE;
/*!40000 ALTER TABLE `rs_sitemap` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_sitemap` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_tags`
--

DROP TABLE IF EXISTS `rs_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_tags` (
  `tag_id` int(10) NOT NULL AUTO_INCREMENT,
  `tag_name` varchar(255) NOT NULL,
  `tag_alias` varchar(255) NOT NULL,
  `content_id` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tag_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_tags`
--

LOCK TABLES `rs_tags` WRITE;
/*!40000 ALTER TABLE `rs_tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_user`
--

DROP TABLE IF EXISTS `rs_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_user` (
  `user_id` int(10) NOT NULL AUTO_INCREMENT,
  `user_name` varchar(255) NOT NULL,
  `user_login` varchar(255) NOT NULL,
  `user_password` varchar(255) NOT NULL,
  `user_more` int(10) NOT NULL DEFAULT '0',
  `user_email` varchar(255) NOT NULL,
  `user_status` int(1) NOT NULL DEFAULT '0',
  `user_access` int(1) NOT NULL DEFAULT '0',
  `user_hash` varchar(255) NOT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_user`
--

LOCK TABLES `rs_user` WRITE;
/*!40000 ALTER TABLE `rs_user` DISABLE KEYS */;
INSERT INTO `rs_user` VALUES (6,'Разработчик','developer','e8a0aa41563e8bb60d4c36a862fbccef',0,'email@developer.ru',5,4,'e85bdc5b83770545e4b9e0f2bb52e8ce');
/*!40000 ALTER TABLE `rs_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_widget`
--

DROP TABLE IF EXISTS `rs_widget`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_widget` (
  `widget_id` int(10) NOT NULL AUTO_INCREMENT,
  `widget_title` varchar(255) NOT NULL,
  `widget_type` varchar(255) NOT NULL,
  `widget_more` int(10) NOT NULL DEFAULT '0',
  `widget_publication` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `widget_mode_publication` int(1) NOT NULL DEFAULT '0',
  `widget_position` int(10) NOT NULL DEFAULT '1',
  PRIMARY KEY (`widget_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_widget`
--

LOCK TABLES `rs_widget` WRITE;
/*!40000 ALTER TABLE `rs_widget` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_widget` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rs_widget_files`
--

DROP TABLE IF EXISTS `rs_widget_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rs_widget_files` (
  `file_id` int(10) NOT NULL AUTO_INCREMENT,
  `file_name` varchar(255) NOT NULL,
  `file_path` varchar(255) NOT NULL,
  `file_type` int(1) NOT NULL DEFAULT '0',
  `file_code` varchar(255) NOT NULL,
  `widget_id` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`file_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rs_widget_files`
--

LOCK TABLES `rs_widget_files` WRITE;
/*!40000 ALTER TABLE `rs_widget_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `rs_widget_files` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-12-08 23:17:37
