<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();
function tpl_text($data) { ?>
<?
$widget     = $data['widget.edit']['default']['widget'];
$widget_id  = $data['widget.edit']['default']['widget']['widget_id'];
$type        = $data['widget.edit']['widget_type'];
$additional  = $data['widget.edit']['additional'];
?>
<script>
    /* ОБЩИЕ ФУНКЦИИ */

    $(document).ready(function() {
        load_nesting();
    });
    
    function load_nesting()
    {
        var type = "<?=$type?>";
        $('#nesting_block').load('/admin/'+type+'/nesting/?id=<?=$widget_id?> #nesting_modul');
    }

    function start_load(win)
    {
       if (win == 'file')
       {
           if ($('#window_file').css('display') == 'block')
               $('#window_file').css({'display': 'none'});
               
           if ($('#message_window_file').css('display') == 'none')
               $('#message_window_file').css({'display': 'block'});
               
           $('#addfile').submit();
       }
    }
    
    function load_error(errorCode) {
        
        switch (errorCode) {
            case 'content_id.empty':
                var errorName = 'Не найдена контент';
                break;
            case 'file.empty':
                var errorName = 'Нет загружаемого файла';
                break;
            case 'format.wrong':
                var errorName = 'Не поддерживаемый формат файла';
                break;
            case 'name.long':
                var errorName = 'Слишком длинное имя файла';
                break;
            case 'file.size':
                var errorName = 'Слишком большой размер файла';
                break;
        }
        
        var str = "Во время работы скрипта произошла следующая ошибка: '"+ errorName +"'";
        
        alert(str);
    }

    function load_ready(win)
    {
       if (win == 'file')
       {
           form_file('hide');
          
           if ($('#message_window_file').css('display') == 'block')
               $('#message_window_file').css({'display': 'none'});
               
           $('#nesting_name').val('');
           $('#nesting_file').val('');
           
           var type = "<?=$type?>";
           
    	   $('#nesting_tree').load('/admin/'+type+'/nesting/?id=<?=$widget_id?> #nesting');
       }
    }

    /* ФУНКЦИИ ПО ОБРАБОТКИ ФАЙЛОВ */

    function delete_file(del, step)
    {
    	if (step == 0)
    	{
    		if (confirm("Вы уверены, что хотите удалить файл?"))
    			delete_file(del, 1);
    	}
    	
    	if (step == 1)
    	{
    		var type = "<?=$type?>";
            
            $.get('/admin/'+ type +'/nesting/deletefile/', { del: del }, function ()
    		{
        	   $('#nesting_tree').load('/admin/'+type+'/nesting/?id=<?=$widget_id?> #nesting');
    		});
    	}
    }

    function form_file(step)
    {
        if (step == 'show')
        {
            $('#bg_window_file').fadeTo(0 ,0.5);
            $('#window_file').css("display", "block");        
        }
        
        if (step == 'hide')
        {
            $('#bg_window_file').css("display", "none");
            $('#window_file').css("display", "none");
        }
    }

    function edit_file_form(file_id, step)
    {
        var type = "<?=$type?>";
        
        if (step == 'show')
        {
        	$('#window_edit_file').load('/admin/'+type+'/nesting/editfile/?file_id='+file_id+' #model_window', function ()
        	{				
                $('#bg_window_edit_file').fadeTo(0 ,0.5);
                $('#window_edit_file').css("display", "block");
            });
        }
        
        if (step == 'hide')
        {
            $('#bg_window_edit_file').css("display", "none");
            $('#window_edit_file').css("display", "none");
            $('#window_edit_file').html("");
        } 
    }

    function edit_file (file_id)
    {
        var type         = "<?=$type?>";
        var nesting_name = $("#model_window input[id='nesting_name']").val();
        
        $("#model_window input[type='button']").attr("disabled", "disabled");
        
        $.post('/admin/'+type+'/nesting/editfile/', {file_id: file_id, nesting_name: nesting_name}, function () {
    	   $('#nesting_tree').load('/admin/'+type+'/nesting/?id=<?=$widget_id?> #nesting');    
        });
    }
    
    function open_new_window(url)
    {
    	windowVar=window.open(url,"", "" 
            +" width=650,"
            +" height=650,"
            +" status=no,"
            +" toolbar=no,"
            +" menubar=no,"
            +" directories=no,"
            +" location=no,"
            +" resizable=yes,"
            +" scrollbars=yes"
        );
    }

</script>
  <table class="headerWIN" width="95%" cellpadding="0" cellspacing="0" border="0" align="center">
    <tr>
      <td align="center" class="title_window">Изменить блок</td>
    </tr>
    <tr>
      <td valign="top" style="padding:10px;">		
        <form action="" method="post" name="form" enctype="multipart/form-data">
	      <input type="hidden" name="widget_id" value="<?=$widget['widget_id']?>" />
          <table width="95%" cellpadding="5" cellspacing="0" border="0" align="center">
            <tr>
              <td width="100px">Заголовок</td>
              <td><input class="input_form_admin" name="widget_title" type="text" value="<? if (isset($_POST['widget_title'])) { ?><?=$_POST['widget_title']?><? } else { ?><?=$widget['widget_title']?><? } ?>" /></td>
            </tr>
            <? additional_form($additional); ?>
          </table>			
          <br/><input type="submit" value="Изменить блок">
        </form>		
      </td>
    </tr>
  </table>
  <div id="nesting_block"></div>
<? }

function additional_form($fields) { ?>
<? if (!empty($fields)) { ?>
    <script>
        function step_picture(step, id)
        {
            if (step == 'up')
            {
                if ($('#del_' + id + ' input:checked'))
                    $('#del_' + id + ' input').attr('checked', false);
                
                if ($('#addition_' + id).val() == 'update')
                {
                    $('#addition_' + id).val('edit');
                    if ($('#picture_' + id).css('display') == 'block')
                        $('#picture_' + id).css({'display': 'none'});
                }
                else
                {
                    $('#addition_' + id).val('update');
                    
                    if ($('#picture_' + id).css('display') == 'none')
                        $('#picture_' + id).css({'display': 'block'});
                }
            }
            
            if (step == 'del')
            {
                if ($('#up_' + id + ' input:checked'))
                    $('#up_' + id + ' input').attr('checked', false);

                if ($('#picture_' + id).css('display') == 'block')
                    $('#picture_' + id).css({'display': 'none'});

                if ($('#addition_' + id).val() == 'delete')
                    $('#addition_' + id).val('edit');
                else
                    $('#addition_' + id).val('delete');
            }
        }
    </script>

    <input type="hidden" name="group_id" value="<?=$fields['group_id']?>" />
    <? foreach ($fields['fields'] as $key => $field) { ?>
            <tr>
              <td valign="top"><?=$field['field_name']?></td>
              <td valign="top">
               <? switch ($field['field_type']) {
                   case 0: ?>
                   <input class="input_form_admin_max" placeholder="<?=$field['field_name']?>" type="text" name="addition[<?=$field['field_id']?>]" value="<?=$field['field_value']?>" />
                 <? break;
                   case 1: ?>
                   <input class="input_form_admin_max" placeholder="0" type="text" name="addition[<?=$field['field_id']?>]" value="<?=$field['field_value']?>" />
                 <? break;
                   case 2: ?>
                   <input class="input_form_admin_max" placeholder="0.00" type="text" name="addition[<?=$field['field_id']?>]" value="<?=$field['field_value']?>" />
                 <? break;
                   case 3: ?>
                   <input class="input_form_admin_max" placeholder="0.00" type="text" name="addition[<?=$field['field_id']?>]" value="<?=$field['field_value']?>" />
                 <? break;
                   case 4: ?>
                   <textarea style="width:99%;height:150px;font-family:verdana;font-size:11px;" name="addition[<?=$field['field_id']?>]" rows="10"><?=$field['field_value']?></textarea>
                 <? break;
                   case 5: ?>
                   <select class="input_form_admin_max" value="<?=$field['field_value']?>" name="addition[<?=$field['field_id']?>]">
                   <? foreach ($field['option'] as $option) { ?>
                     <option<? if ($field['field_value'] == $option['option_id']) { ?> selected="selected"<? } ?> value="<?=$option['option_id']?>"><?=$option['option_value']?></option>
                   <? } ?>
                   </select>
                 <? break;
                   case 6: ?>
                       <div style="overflow: hidden;">
                           <? $path = trim($field['field_value']); ?>

                           <? if (!empty($path)) { ?>
                              <div style="overflow: hidden; margin-bottom: 5px;">
                                   <div style="float: left; margin-right: 10px;">
                                       <img src="/admin/img/?img=<?=$path?>&w=70&h=70&g=true" title="" alt="" />
                                   </div>
                                   <div style="float: left;">
                                       <div id="up_<?=$field['field_id']?>" style="overflow: hidden;"><input onclick="step_picture('up', '<?=$field['field_id']?>');" type="checkbox" style="float: left;" />обновить</div>
                                       <div id="del_<?=$field['field_id']?>" style="overflow: hidden;"><input onclick="step_picture('del', '<?=$field['field_id']?>');" type="checkbox" style="float: left;" />удалить</div>
                                   </div>
                               </div>
                           <? } ?>
                           <div id="picture_<?=$field['field_id']?>" <? if (!empty($path)) { ?>style="display: none;"<? } else { ?>style="display: block;"<? } ?>>
                               <input class="input_form_admin_max" placeholder="<?=$field['field_name']?>" type="file" name="file[<?=$field['field_id']?>]" value="" />
                           </div>
                           <input id="addition_<?=$field['field_id']?>" type="hidden" name="addition[<?=$field['field_id']?>]" value="<? if (!empty($path)) { ?>edit<? } else { ?>add<? } ?>" />
                       </div>
                 <? break;
                   case 7: ?>
                   <input class="input_form_admin_max" placeholder="<?=$field['field_name']?>" type="text" name="addition[<?=$field['field_id']?>]" value="<? if (trim($field['field_value']) != '') { ?><?=$field['field_value']?><? } else { ?><?=date('Y-m-d H:i:s')?><? } ?>" />
                 <? break;
                   case 8:
                   tpl_html_editor('addition['.$field['field_id'].']', $field['field_value'], '99%', '400px');
                   break;
                 } ?>
              </td>
            </tr>
    
    <? }
    }
 } ?>